precision mediump float;

uniform sampler2D uFromSampler;
uniform sampler2D uToSampler;

uniform float uProgress;

varying vec2 vTexCoord;

void main() {
    vec3 from = texture2D(uFromSampler, vTexCoord).rgb;
    vec3 to = texture2D(uToSampler, vTexCoord).rgb;
    gl_FragColor = vec4(mix(from, to, uProgress), 1.0);
}
