precision mediump float;

uniform vec2 uSurfaceSize;

attribute vec2 iPosition;
attribute vec2 iTexCoord;

varying vec2 vTexCoord;

void main() {
    gl_Position = vec4((iPosition / uSurfaceSize) * 2.0 - 1.0, 0.0, 1.0);
	vTexCoord = vec2(iTexCoord.x, 1.0 - iTexCoord.y);
}
