precision mediump float;

uniform sampler2D uBackgroundSampler;
uniform sampler2D uOverlaySampler;
uniform float uOverlayAlpha;

varying vec2 vTexCoord;

void main() {
	vec3 bg = texture2D(uBackgroundSampler, vTexCoord).rgb;
	vec3 fg = texture2D(uOverlaySampler, vTexCoord).rgb;
	gl_FragColor = vec4(bg + fg * uOverlayAlpha, 1.0);
}
