precision mediump float;

uniform vec2 uSurfaceSize;

attribute vec2 iPosition;
attribute vec2 iTexCoord;

varying vec2 vTexCoord;

void main() {
	vec2 p = iPosition / uSurfaceSize;
	p.y = 1.0 - p.y;
	gl_Position = vec4(p * 2.0 - 1.0, 0.0, 1.0);
	vTexCoord = iTexCoord;
}
